# Security Group

### Creating a security group with minimal parameters

```
resources:
  - type: aws_ec2_security_group
    name: sg1
    props:
      vpc_id: vpc-12345
      group_description: "Allow HTTP from internet"
      security_group_ingress:
        - ip_protocol: tcp
          from_port: 80
          to_port: 80
          cidr_ip: "0.0.0.0/0"
      
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/aws/examples-free-resources/security-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
